# Changelog

## 2025-01-29 - 1.12.5 - fix(cli)
Initial implementation of CLI utility with project management features

- Integration of various plugins for logging, command-line interactions, and project management.
- Setup CLI commands for project initialization, updating, formatting, and more.
- Implement commands for packaging, versioning, and deprecating npm packages.

## 2025-01-29 - 1.12.2 - fix(format)
Add overrides for peek-readable in package.json formatting

- Added a URL correction in the packageJson repository information.
- Introduced support for pnpm overrides by including an `overrides.json` file.

## 2025-01-18 - 1.12.1 - fix(dependencies)
Update various package dependencies and Dockerfile base image

- Updated Dockerfile base image from 'alpinenpmci' to 'alpine_npmci'.
- Upgraded @git.zone/tsbuild, @git.zone/tsrun, @git.zone/tsdoc, and other dependencies to their latest versions.

## 2025-01-17 - 1.12.0 - feat(build)
Update TypeScript configuration to support emit decorator metadata

- Added emitDecoratorMetadata to the tsconfig.json template in assets/templates/tsconfig_update.

## 2025-01-08 - 1.11.0 - feat(cli)
Add Docker command for cleaning up Docker system and extend deprecation command for multiple registries

- Added a new command 'docker' to handle Docker system cleanup operations.
- Improved the 'deprecate' command to support deprecating packages across multiple npm registry URLs.

## 2025-01-01 - 1.10.10 - fix(templates)
Corrected typo in template file comment

- Fixed repeated comment in the template file for services under 'assets/templates/service/ts/some.plugins.ts'.

## 2025-01-01 - 1.10.9 - fix(templates)
Correct template file paths and organization for service projects

- Moved 'some.classes.some.ts' to 'classes.some.ts'
- Moved 'some.classes.some.db.ts' to 'classes.some.db.ts'
- Resolved incorrect import paths in service templates

## 2025-01-01 - 1.10.8 - fix(assets/templates)
Update CI template configurations to use module.githost

- Replaced occurrences of {{git.host}} with {{module.githost}} in CI workflow files
- Updated package dependencies for service template

## 2024-12-26 - 1.10.7 - fix(assets)
Correct URLs in templates and fix TypeScript declaration

- Updated incorrect URLs in Dockerfile templates to 'host.today'.
- Fixed type declaration for 'TemplateResult' in header.ts file.

## 2024-12-08 - 1.10.6 - fix(ci)
Corrected Docker image URL in CI templates

- Updated Docker image URL from 'code.foss.global/hosttoday' to 'code.foss.global/host.today' in default_nottags.yaml and default_tags.yaml.
- Adjusted gitignore template to include a custom section delineation.

## 2024-12-02 - 1.10.5 - fix(assets)
Update .gitignore template to remove pages directory

- Removed 'pages/' from the ignored directories in the .gitignore template.

## 2024-11-05 - 1.10.4 - fix(mod_format)
Correct file extension for TypeScript path configuration

- Fixed the TypeScript configuration to use correct file extensions for module subdirectories.

## 2024-10-27 - 1.10.3 - fix(mod_format)
Reorder TypeScript formatting steps in mod_format module

- Moved TypeScript configuration formatting earlier in the sequence for better logical consistency.

## 2024-10-27 - 1.10.2 - fix(format)
Add logging for tsconfig.json formatting

- Added an info log message for tsconfig.json formatting in format.tsconfig.ts.

## 2024-10-27 - 1.10.1 - fix(format)
Fixed async issue in tsconfig module lookup and corrected property access


## 2024-10-27 - 1.10.0 - feat(mod_format)
Add support for tsconfig.json formatting

- Added a new script to format tsconfig.json.
- Updated package.json to include `@git.zone/tspublish` as a dependency.

## 2024-10-23 - 1.9.126 - fix(format)
Remove redundant package.json property checks

- Removed property checks for `main`, `typings`, and `browserslist` from format.packagejson.ts
- This change streamlines the formatting process by removing unnecessary exits

## 2024-09-29 - 1.9.125 - fix(cli)
Fix package version configuration and formatting issues

- Updated metadata fields in package.json (repository URL, bugs URL, and homepage).
- Ensured presence and correctness of essential fields in package.json (main, typings, files, scripts, etc.).
- Added missing Prettier default TypeScript and Markdown configurations.

## 2024-09-27 - 1.9.124 - fix(cli)
Ensured proper existence and initialization of readme files

- Ensured readme.md and readme.hints.md files are created and initialized if they do not exist.

## 2024-09-27 - 1.9.123 - fix(core)
No changes detected


## 2024-09-27 - 1.9.123 - fix(core)
Update dependencies and improve build configurations

- Updated several dependencies in package.json for better compatibility
- Changed typedserver dependency version in website template
- Adjusted website server and service worker in templates
- Added security and test workflows for Gitea repositories
- Added and configured .gitignore, .npmrc, .vscode settings for the project
- Provided initial structure for readme and readme hints

## 2024-06-24 - 1.9.122 - fix(mod_commit)
Update package.json dependencies: @git.zone/tsdoc and @push.rocks/smartpromise to latest versions.

- - Updated @git.zone/tsdoc to ^1.3.12
- - Updated @push.rocks/smartfile to ^11.0.21

## 2024-06-23 - 1.9.121 - fix(mod_commit)
Fix changelog template rendering by removing extra new line when no version details are provided.

- Update package.json dependencies: @git.zone/tsdoc and @push.rocks/smartpromise to latest versions.

## 2024-06-23 - 1.9.120 - fix(mod_commit)
Handle edge case for empty version details in changelog formatting

- Added check for the length of the recommendedNextVersionDetails array
- Ensure no extra newline in changelog if there are no version details

## 2024-06-23 - 1.9.119 - fix(dependencies)
Update @git.zone/tsdoc to v1.3.8

- Updated @git.zone/tsdoc from v1.3.7 to v1.3.8 in package.json

## 2024-06-23 - 1.9.118 - fix(dependencies)
Update @git.zone/tsdoc to version 1.3.7

- Bump @git.zone/tsdoc from 1.3.6 to 1.3.7 in both package.json and pnpm-lock.yaml

## 2024-06-23 - 1.9.117 - fix(dependencies)
Update @git.zone/tsdoc dependency to v1.3.6

- Updated @git.zone/tsdoc version from 1.3.5 to 1.3.6 in package.json
- Updated pnpm-lock.yaml to reflect the new version of @git.zone/tsdoc

## 2024-06-23 - 1.9.116 - fix(dependencies)
Update @git.zone/tsdoc to version 1.3.5

- Updated the @git.zone/tsdoc dependency in package.json and pnpm-lock.yaml from version 1.3.4 to 1.3.5
- Removed the outdated changelog.md file.

## 2024-06-23 - 1.9.114 - fix(format)
Fixed formatting issues across multiple TypeScript files.

## 2024-06-23 - 1.9.113 - fix(mod_commit)
Remove extra new lines in changelog.

## 2024-06-23 - 1.9.112 - fix(core)
Update changelog formatting and remove outdated entries.

## 2024-06-23 - 1.9.111 - fix(changelog)
Remove outdated changelog entries and update formatting.

## 2024-06-23 - 1.9.110 - fix(dependencies)
Update @git.zone/tsdoc to version 1.3.4.

## 2024-06-23 - 1.9.109 - fix(changelog)
Remove outdated entries and adjust formatting in changelog.

## 2024-06-23 - 1.9.108 - fix(dependencies)
Update @git.zone/tsdoc dependency to version 1.3.2.

## 2024-06-23 - 1.9.107 - fix(changelog)
Remove placeholder entries and adjust formatting in changelog.

## 2024-06-23 - 1.9.106 - fix(dependencies)
Updated @git.zone/tsdoc from version 1.3.0 to 1.3.1.

## 2024-06-23 - 1.9.105 - fix(dependencies)
Updated @git.zone/tsdoc dependency from 1.2.2 to 1.3.0 in package.json and pnpm-lock.yaml.

## 2024-06-23 - 1.9.104 - fix(changelog)
Remove placeholder entries and adjust formatting in changelog.

## 2024-06-23 - 1.9.103 - fix(changelog)
Fix changelog to remove placeholder entries and adjust formatting.

## 2024-06-23 - 1.9.102 - fix(logging)
Optimize logger instantiation and configuration.

## 2024-06-23 - 1.9.101 - fix(metadata)
Ensure accurate project metadata in package.json.

## 2024-06-23 - 1.9.100 - fix(dependencies)
Updated @git.zone/tsdoc dependency version to ^1.2.2 in package.json and pnpm-lock.yaml.

## 2024-06-23 - 1.9.99 - fix(mod_commit)
Fix variable reassignment issue in changelog writing step.
